/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.fulltext.impl;

import java.util.ArrayList;
import java.util.List;

import org.apache.lucene.document.Field;

/**
 * 索引对象
 * 
 * @author renhui
 * 
 */
public class ObjectIndexProcessor extends AbstractIndexProcessor<Object> {

	public String getId(Object indexObject) {
		return indexObject.getClass().getName();
	}

	public String getContents(Object indexObject) {
		StringBuilder builder = new StringBuilder();
		java.lang.reflect.Field[] fields = indexObject.getClass()
				.getDeclaredFields();
		for (java.lang.reflect.Field field : fields) {
			field.setAccessible(true);
			try {
				builder.append(field.get(indexObject).toString()).append(" ");
			} catch (Exception e) {
				getLogger().error(e);
			}
		}
		return builder.toString();
	}

	public List<Field> getExternFieldList(Object indexObject) {
		return new ArrayList<Field>();
	}

}
